edu.sc.seis.sod.process.waveform.vector

## Class VectorScript

- java.lang.Object
- - edu.sc.seis.sod.subsetter.AbstractScriptSubsetter
  - - edu.sc.seis.sod.process.waveform.vector.VectorScript

- All Implemented Interfaces:
    WaveformVectorProcess, SodElement, Subsetter

      public class VectorScript
      extends AbstractScriptSubsetter
      implements WaveformVectorProcess

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.subsetter.AbstractScriptSubsetter

      `config, engine, factory, script, scriptType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VectorScript(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WaveformVectorResult` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.sc.seis.fissuresUtil.hibernate.ChannelGroup channelGroup, edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] original, edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] available, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] seismograms, CookieJar cookieJar)`
    `WaveformVectorResult` | `runScript(VelocityEvent event, VelocityChannelGroup channelGroup, java.util.List<java.util.List<VelocityRequest>> request, java.util.List<java.util.List<VelocityRequest>> available, java.util.List<java.util.List<VelocitySeismogram>> seismograms, CookieJar cookieJar)` Run the script with the arguments as predefined variables.

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.AbstractScriptSubsetter

      `cleanScript, eval, preeval, pullResult`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VectorScript

          public VectorScript(org.w3c.dom.Element config)

  - ### Method Detail

    - #### accept

          public WaveformVectorResult accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                             edu.sc.seis.fissuresUtil.hibernate.ChannelGroup channelGroup,
                                             edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] original,
                                             edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] available,
                                             edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] seismograms,
                                             CookieJar cookieJar)
                                      throws java.lang.Exception

      Specified by:
        `accept` in interface `WaveformVectorProcess`
      Throws:
        `java.lang.Exception`

    - #### runScript

          public WaveformVectorResult runScript(VelocityEvent event,
                                                VelocityChannelGroup channelGroup,
                                                java.util.List<java.util.List<VelocityRequest>> request,
                                                java.util.List<java.util.List<VelocityRequest>> available,
                                                java.util.List<java.util.List<VelocitySeismogram>> seismograms,
                                                CookieJar cookieJar)
                                         throws java.lang.Exception

      Run the script with the arguments as predefined variables.
      Throws:
        `java.lang.Exception`